XaTest (jTDS API)
Keywords: net.sourceforge.jtds.test.XaTest class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.test
Class XaTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sourceforge.jtds.test.TestBase
                  net.sourceforge.jtds.test.DatabaseTestCase
                      net.sourceforge.jtds.test.XaTest

All Implemented Interfaces:
  junit.framework.Test

public class XaTest
extends DatabaseTestCase

Test suite for XA Distributed Transactions. These tests are derived from examples found in the following article at DevX.

Version:
  $Id: XaTest.java,v 1.5 2004/12/03 16:52:09 alin_sinpalean Exp $

Field Summary

Fields inherited from class net.sourceforge.jtds.test.DatabaseTestCase
``

Fields inherited from class net.sourceforge.jtds.test.TestBase
`con, props`

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`XaTest(java.lang.String name)`

Method Summary
`javax.sql.XADataSource` | `getDataSource()` Obtain an XADataSource.
`static void` | `main(java.lang.String[] args)`
`void` | `testLocalTran()` Demonstrate interleaving local transactions and distributed transactions.
`void` | `testXaCommit()` Test to demonstrate the XA_COMMIT function.
`void` | `testXAJoinTran()` Test to demonstrate the use of the XA_JOIN command.
`void` | `testXaOnePhaseCommit()` Test to demonstrate the single phase XA_COMMIT function.
`void` | `testXARecover()` Test to demonstrate the use of the XA_RECOVER command.
`void` | `testXaRollback()` Test to demonstrate the use of the XA_ROLLBACK command.

Methods inherited from class net.sourceforge.jtds.test.DatabaseTestCase
`compareBytes, dropFunction, dropProcedure, dropProcedure, dropTable, getLongString, getLongString, getType, getTypemap`

Methods inherited from class net.sourceforge.jtds.test.TestBase
`compareInputStreams, compareReaders, connect, dump, dumpRow, getConnection, getConnection, makeObjects, makeTestTables, setUp, tearDown`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XaTest

    public XaTest(java.lang.String name)

Method Detail

### getDataSource

    public javax.sql.XADataSource getDataSource()
                                         throws java.sql.SQLException

  Obtain an XADataSource.

  Returns:
    the `XADataSource.`
  Throws:
    `java.sql.SQLException` - if an error condition occurs

### testXaCommit

    public void testXaCommit()
                      throws java.lang.Exception

  Test to demonstrate the XA_COMMIT function.

  Throws:
    `java.lang.Exception` - if an error condition occurs

### testXaOnePhaseCommit

    public void testXaOnePhaseCommit()
                              throws java.lang.Exception

  Test to demonstrate the single phase XA_COMMIT function.

  Throws:
    `java.lang.Exception` - if an error condition occurs

### testXaRollback

    public void testXaRollback()
                        throws java.lang.Exception

  Test to demonstrate the use of the XA_ROLLBACK command.

  Throws:
    `java.lang.Exception` - if an error condition occurs

### testLocalTran

    public void testLocalTran()
                       throws java.lang.Exception

  Demonstrate interleaving local transactions and distributed transactions.

  Throws:
    `java.lang.Exception` - if an error condition occurs

### testXAJoinTran

    public void testXAJoinTran()
                        throws java.lang.Exception

  Test to demonstrate the use of the XA_JOIN command.

  Throws:
    `java.lang.Exception` - if an error condition occurs

### testXARecover

    public void testXARecover()
                       throws java.lang.Exception

  Test to demonstrate the use of the XA_RECOVER command.

  Throws:
    `java.lang.Exception` - if an error condition occurs

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on December 30 2009